---
title: str reverse
layout: command
version: 0.59.0
---

outputs the reversals of the strings in the pipeline

## Signature

```> str reverse ...rest```

## Parameters

 -  `...rest`: optionally reverse text by column paths

## Examples

Return the reversals of multiple strings
```shell
> 'Nushell' | str reverse
```

